%global modname pyarabic
%global distname PyArabic

Name:				python-pyarabic
Version:			0.4
Release:			11%{?dist}
Summary:			Arabic text tools for Python
Summary(ar):		مكتبة بيثون للعربية
Group:				Applications/Publishing
License:			GPLv1
URL:				https://pypi.python.org/pypi/PyArabic
Source:				https://pypi.python.org/packages/source/P/%{distname}/%{distname}-%{version}.zip
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python2-setuptools

%global _description\
Arabic language text tools to be used by Python.

%global _description_ar\
مجموعة من الأدوات النّصية للّغة العربية مُتاحة للاستخدام ببيئة بيثون.

%description %_description
%description -l ar %_description_ar

%package -n python2-pyarabic
Summary:			Arabic text tools for Python
Summary(ar):		مكتبة بيثون للعربية
%{?python_provide:%python_provide python2-pyarabic}

%description -n python2-pyarabic %_description
%description -n python2-pyarabic -l ar %_description_ar

%prep
%setup -q -n %{distname}-%{version}
# Specific env to python2
sed -i 's:#!/usr/bin/python::g' pyarabic/araby.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files -n python2-pyarabic
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 27 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.4-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 10 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4-9
- Python 2 binary package renamed to python2-pyarabic
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 7 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.4-2
- Delete un-needed lines.
- Fix license line.

* Wed Jan 1 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.4-1
- Initial build.
